package helper_methods;

/*
 * Improved version  
 */
public class PersonCollectorImproved {
	private final int MAX = 100; /* max # of persons to be stored */  
	private Person[] ps;
	private int nop; /* number of persons */

	public PersonCollectorImproved() { 
		this.ps = new Person[MAX]; 
	} 
	public void addPerson(Person p) { 
		this.ps[this.nop] = p; 
		this.nop++; 
	} 

	/*  Tasks:
	 *  1. An accessor: boolean personExists(String n)
	 *  2. A mutator: void changeWeightOf(String n, double w)
	 *  3. A mutator: void changeHeightOf(String n, double h)
	 */
	
	/*
	 * Go over the collection of persons,
	 * return the index where the matching person is stored.
	 */
	private int indexOf(String n) {
		int index = -1;
		for(int i = 0; i < this.nop; i ++) {
			if(this.ps[i].getName().equals(n)) { 
				index = i; 
			} 
		}
		return index;
	}

	public boolean personExists(String n) {
		return indexOf(n) >= 0;
	} 

	public void changeWeightOf(String n, double w) {
		int index = indexOf(n);
		if(index >= 0) {
			this.ps[index].setWeight(w);
		} 
	}

	public void changeHeightOf(String n, double h) {
		int index = indexOf(n);
		if(index >= 0) {
			this.ps[index].setHeight(h);
		} 
	}
}
